<?

include '../../config.php';
include '../../func.php';
head();

$config = mysql_fetch_assoc(mysql_query("SELECT * FROM `config`"));

if ( $_GET['mod'] == 'razdel_edit' AND $_GET['result'] == 'good' ) {
    
    echo link1 . 'Раздел успешно изменен' . div;
    
}

if ( $_GET['mod'] == 'razdel_edit' AND $_GET['result'] == 'error' ) {
    
    echo link1 . 'Ошибка при изменении раздела' . div;
    
}

if ( $_GET['mod'] == 'empty_name' AND $_GET['result'] == 'error' ) {
    
    echo link1 . 'Вы не ввели название раздела' . div;
    
}

if ( $_GET['mod'] == 'razdel_add' AND $_GET['result'] == 'good' ) {
    
    echo link1 . 'Раздел успешно создан' . div;
    
}

if ( $_GET['mod'] == 'razdel_add' AND $_GET['result'] == 'error' ) {
    
    echo link1 . 'Ошибка при создании раздела' . div;
    
}

if ( $_GET['mod'] == 'razdel_delete' AND $_GET['result'] == 'good' ) {
    
    echo link1 . 'Раздел успешно удален' . div;
    
}

if ( $_GET['mod'] == 'razdel_delete' AND $_GET['result'] == 'error' ) {
    
    echo link1 . 'Ошибка при удалении раздела' . div;
    
}
##################################

if ( $_GET['mod'] == 'status' ) {
    
    if ( $config['status_obmen'] == 0 ) {
        mysql_query("UPDATE `config` SET `status_obmen` = '1'");
        echo link2 . 'Обменник включен' . div;
    } else {
        mysql_query("UPDATE `config` SET `status_obmen` = '0'");
        echo link2 . 'Обменник выключен' . div;        
    }
    
}

if ( $config['status_obmen'] == 0 ) {
    echo link2 . 'Статус модуля: <b>Выключен</b><br/ > 
    [<a href="index.php?mod=status">ON</a>] <b>OFF</b><br/ >' . div;
} else {
    echo link2 . 'Статус модуля: <b>Включен</b><br/ > 
    [<a href="index.php?mod=status">OFF</a>] <b>ON</b><br/ >' . div;    
}

$result = mysql_query("SELECT * FROM fo_razdel");
while($catalog = mysql_fetch_assoc($result)){

if(($catalog['tip']==10) OR ($catalog['tip']==11)) $ero = '[+18]';
$all_files = mysql_result(mysql_query("SELECT count(*) FROM `fo` WHERE `razdel` = '".$catalog['id']."'"), 0);

echo link2 . "<a href=\"../../../obmen/catalog.php?id=".$catalog['id']."\">".$catalog['name']."</a> [".$all_files."] ".$ero." ".$n." <a href=\"../../../obmen/catalog.php?id=".$catalog['id']."\">".$catalog['name']."</a><br/ >";
if ( $catalog['info'] == '' )
echo "[Без описания]<br/>";
else
echo "[".$catalog['info']."]<br/>";


if($catalog['tip']==1) $r = 'JPG, JPEG, GIF, PNG, BMP';
if($catalog['tip']==2) $r = 'MP3, WAV, AMR, MP4';
if($catalog['tip']==3) $r = '3GP, AVI, MP4';
if($catalog['tip']==4) $r = 'JAR';
if($catalog['tip']==5) $r = 'SIS, SISX';
if($catalog['tip']==6) $r = 'THM';
if($catalog['tip']==7) $r = 'SIS, SISX';
if($catalog['tip']==8) $r = 'RAR, ZIP';
if($catalog['tip']==9) $r = 'TXT, DOC, PDF';
if($catalog['tip']==10) $r = 'JPG, JPEG, GIF, PNG, BMP';
if($catalog['tip']==11) $r = '3GP, AVI, MP4';
echo "<b>".$r."</b><br/ ><br/ >";
echo '<a href="razdel_edit.php?id='.$catalog['id'].'">Править</a> <a href="razdel_delete.php?id='.$catalog['id'].'">Удалить</a>' . div;
}

echo div;
###########


echo link1 . '<a href="razdel_add.php">Создать раздел</a>' . div;


$all_bad = mysql_result(mysql_query("SELECT count(*) FROM `fo_bad`"), 0);
echo link2 . '
<a href="bad.php">Жалобы</a> ['.$all_bad.']
' . div;